/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2020-03-17
 * 描述            ：投入产出归集表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Cm.vo;
import java.io.Serializable;
import java.util.Date;

import market.Cm.mapper.CmCostAcmProdHMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="CM_COST_ACM_PROD_H", namespace=CmCostAcmProdHMapper.class)
public class CmCostAcmProdH extends BaseVO implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = -8022049141748856065L;
	/** 
	 * 归集ID
	 */ 
	@Id
	private String acm_id;
	public String getAcm_id() {
		return this.acm_id;
	}
	public void setAcm_id(String acm_id) {
		this.acm_id = acm_id;
	}

	/** 
	 * 生产计划号
	 */ 
	@Column
	private String plan_id;
	public String getPlan_id() {
		return this.plan_id;
	}
	public void setPlan_id(String plan_id) {
		this.plan_id = plan_id;
	}

	/** 
	 * 订单号
	 */ 
	@Column
	private String order_id;
	public String getOrder_id() {
		return this.order_id;
	}
	public void setOrder_id(String order_id) {
		this.order_id = order_id;
	}

	/** 
	 * 原料卷号
	 */ 
	@Column
	private String mat_coil_no;
	public String getMat_coil_no() {
		return this.mat_coil_no;
	}
	public void setMat_coil_no(String mat_coil_no) {
		this.mat_coil_no = mat_coil_no;
	}

	/** 
	 * 订单属性
	 */ 
	@Column
	private String order_nature;
	public String getOrder_nature() {
		return this.order_nature;
	}
	public void setOrder_nature(String order_nature) {
		this.order_nature = order_nature;
	}

	/** 
	 * 计重方式编号
	 */ 
	@Column
	private String weight_type_no;
	public String getWeight_type_no() {
		return this.weight_type_no;
	}
	public void setWeight_type_no(String weight_type_no) {
		this.weight_type_no = weight_type_no;
	}

	/** 
	 * 计重方式名称
	 */ 
	@Column
	private String weight_type_name;
	public String getWeight_type_name() {
		return this.weight_type_name;
	}
	public void setWeight_type_name(String weight_type_name) {
		this.weight_type_name = weight_type_name;
	}

	/** 
	 * 投料类型(A原料卷、B自制卷 C委托卷)
	 */ 
	@Column
	private String input_type;
	public String getInput_type() {
		return this.input_type;
	}
	public void setInput_type(String input_type) {
		this.input_type = input_type;
	}

	/** 
	 * 业务类型(A自制加工 B委托加工)
	 */ 
	@Column
	private String order_model;
	public String getOrder_model() {
		return this.order_model;
	}
	public void setOrder_model(String order_model) {
		this.order_model = order_model;
	}

	/** 
	 * 交货状态代码
	 */ 
	@Column
	private String delivery_state_code;
	public String getDelivery_state_code() {
		return this.delivery_state_code;
	}
	public void setDelivery_state_code(String delivery_state_code) {
		this.delivery_state_code = delivery_state_code;
	}

	/** 
	 * 交货状态名称（热轧 酸洗 轧硬）
	 */ 
	@Column
	private String delivery_state_desc;
	public String getDelivery_state_desc() {
		return this.delivery_state_desc;
	}
	public void setDelivery_state_desc(String delivery_state_desc) {
		this.delivery_state_desc = delivery_state_desc;
	}

	/** 
	 * 牌号代码
	 */ 
	@Column
	private String steel_code;
	public String getSteel_code() {
		return this.steel_code;
	}
	public void setSteel_code(String steel_code) {
		this.steel_code = steel_code;
	}

	/** 
	 * 牌号名称
	 */ 
	@Column
	private String steel_name;
	public String getSteel_name() {
		return this.steel_name;
	}
	public void setSteel_name(String steel_name) {
		this.steel_name = steel_name;
	}

	/** 
	 * 机台代码
	 */ 
	@Column
	private String machine_code;
	public String getMachine_code() {
		return this.machine_code;
	}
	public void setMachine_code(String machine_code) {
		this.machine_code = machine_code;
	}

	/** 
	 * 机台名称
	 */ 
	@Column
	private String machine_name;
	public String getMachine_name() {
		return this.machine_name;
	}
	public void setMachine_name(String machine_name) {
		this.machine_name = machine_name;
	}

	/** 
	 * 初始单价
	 */ 
	@Column
	private Long original_price_value;
	public Long getOriginal_price_value() {
		return this.original_price_value;
	}
	public void setOriginal_price_value(Long original_price_value) {
		this.original_price_value = original_price_value;
	}

	/** 
	 * 初始投料金额
	 */ 
	@Column
	private Double original_amount_value;
	public Double getOriginal_amount_value() {
		return this.original_amount_value;
	}
	public void setOriginal_amount_value(Double original_amount_value) {
		this.original_amount_value = original_amount_value;
	}

	/** 
	 * 投入量
	 */ 
	@Column
	private Double input_wgt_value;
	public Double getInput_wgt_value() {
		return this.input_wgt_value;
	}
	public void setInput_wgt_value(Double input_wgt_value) {
		this.input_wgt_value = input_wgt_value;
	}

	/** 
	 * 产出量
	 */ 
	@Column
	private Double output_wgt_value;
	public Double getOutput_wgt_value() {
		return this.output_wgt_value;
	}
	public void setOutput_wgt_value(Double output_wgt_value) {
		this.output_wgt_value = output_wgt_value;
	}

	/** 
	 * 产品状态(A成品，B中间品，C在制品)
	 */ 
	@Column
	private String prod_state;
	public String getProd_state() {
		return this.prod_state;
	}
	public void setProd_state(String prod_state) {
		this.prod_state = prod_state;
	}

	/** 
	 * 产品品质(1合格，0不合格)
	 */ 
	@Column
	private String prod_quality;
	public String getProd_quality() {
		return this.prod_quality;
	}
	public void setProd_quality(String prod_quality) {
		this.prod_quality = prod_quality;
	}

	/** 
	 * 产品类别代码
	 */ 
	@Column
	private String parent_item_code;
	public String getParent_item_code() {
		return this.parent_item_code;
	}
	public void setParent_item_code(String parent_item_code) {
		this.parent_item_code = parent_item_code;
	}

	/** 
	 * 产品类别
	 */ 
	@Column
	private String parent_item_name;
	public String getParent_item_name() {
		return this.parent_item_name;
	}
	public void setParent_item_name(String parent_item_name) {
		this.parent_item_name = parent_item_name;
	}

	/** 
	 * 成本项目编码
	 */ 
	@Column
	private String item_code;
	public String getItem_code() {
		return this.item_code;
	}
	public void setItem_code(String item_code) {
		this.item_code = item_code;
	}

	/** 
	 * 成本项目
	 */ 
	@Column
	private String item_name;
	public String getItem_name() {
		return this.item_name;
	}
	public void setItem_name(String item_name) {
		this.item_name = item_name;
	}

	/** 
	 * 上工序代码
	 */ 
	@Column
	private String prv_org_code;
	public String getPrv_org_code() {
		return this.prv_org_code;
	}
	public void setPrv_org_code(String prv_org_code) {
		this.prv_org_code = prv_org_code;
	}

	/** 
	 * 上工序名称
	 */ 
	@Column
	private String prv_org_name;
	public String getPrv_org_name() {
		return this.prv_org_name;
	}
	public void setPrv_org_name(String prv_org_name) {
		this.prv_org_name = prv_org_name;
	}

	/** 
	 * 成本组织代码
	 */ 
	@Column
	private String org_code;
	public String getOrg_code() {
		return this.org_code;
	}
	public void setOrg_code(String org_code) {
		this.org_code = org_code;
	}

	/** 
	 * 成本组织名称
	 */ 
	@Column
	private String org_name;
	public String getOrg_name() {
		return this.org_name;
	}
	public void setOrg_name(String org_name) {
		this.org_name = org_name;
	}

	/** 
	 * 成本期间  201901
	 */ 
	@Column
	private String prd_num;
	public String getPrd_num() {
		return this.prd_num;
	}
	public void setPrd_num(String prd_num) {
		this.prd_num = prd_num;
	}

	/** 
	 * 生产时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date prod_time;
	public Date getProd_time() {
		return this.prod_time;
	}
	public void setProd_time(Date prod_time) {
		this.prod_time = prod_time;
	}

	/** 
	 * 单位加工成本
	 */ 
	@Column
	private Long process_price;
	public Long getProcess_price() {
		return this.process_price;
	}
	public void setProcess_price(Long process_price) {
		this.process_price = process_price;
	}

	/** 
	 * 单位主材成本
	 */ 
	@Column
	private Long mat_price;
	public Long getMat_price() {
		return this.mat_price;
	}
	public void setMat_price(Long mat_price) {
		this.mat_price = mat_price;
	}

	/** 
	 * 单位成本
	 */ 
	@Column
	private Long price_value;
	public Long getPrice_value() {
		return this.price_value;
	}
	public void setPrice_value(Long price_value) {
		this.price_value = price_value;
	}

	/** 
	 * 备注
	 */ 
	@Column
	private String memo;
	public String getMemo() {
		return this.memo;
	}
	public void setMemo(String memo) {
		this.memo = memo;
	}

	/** 
	 * 有效标志(1有效 0无效)
	 */ 
	@Column
	private String valid_flg;
	public String getValid_flg() {
		return this.valid_flg;
	}
	public void setValid_flg(String valid_flg) {
		this.valid_flg = valid_flg;
	}

	/** 
	 * 是否审核(1审核 0未审核)
	 */ 
	@Column
	private String audit_flg;
	public String getAudit_flg() {
		return this.audit_flg;
	}
	public void setAudit_flg(String audit_flg) {
		this.audit_flg = audit_flg;
	}

	/** 
	 * 审核人
	 */ 
	@Column
	private String audit_man;
	public String getAudit_man() {
		return this.audit_man;
	}
	public void setAudit_man(String audit_man) {
		this.audit_man = audit_man;
	}

	/** 
	 * 审核时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date audit_time;
	public Date getAudit_time() {
		return this.audit_time;
	}
	public void setAudit_time(Date audit_time) {
		this.audit_time = audit_time;
	}

	/** 
	 * 创建人 sysdate
	 */ 
	@Column
	private String create_man;
	public String getCreate_man() {
		return this.create_man;
	}
	public void setCreate_man(String create_man) {
		this.create_man = create_man;
	}

	/** 
	 * 创建时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	/** 
	 * 修改人
	 */ 
	@Column
	private String update_man;
	public String getUpdate_man() {
		return this.update_man;
	}
	public void setUpdate_man(String update_man) {
		this.update_man = update_man;
	}

	/** 
	 * 修改时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date update_time;
	public Date getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

	/** 
	 * 产出成本
	 */ 
	@Column
	private Long amount_value;
	public Long getAmount_value() {
		return this.amount_value;
	}
	public void setAmount_value(Long amount_value) {
		this.amount_value = amount_value;
	}

	/** 
	 * 是否头尾卷(1是 0否)
	 */ 
	@Column
	private String is_tw;
	public String getIs_tw() {
		return this.is_tw;
	}
	public void setIs_tw(String is_tw) {
		this.is_tw = is_tw;
	}

	/** 
	 * 实重
	 */ 
	@Column
	private Double factweight;
	public Double getFactweight() {
		return this.factweight;
	}
	public void setFactweight(Double factweight) {
		this.factweight = factweight;
	}

	/** 
	 * 理重
	 */ 
	@Column
	private Double theoryweight;
	public Double getTheoryweight() {
		return this.theoryweight;
	}
	public void setTheoryweight(Double theoryweight) {
		this.theoryweight = theoryweight;
	}
	
	//包装要求
	@Column
	private String pk_ask_desc;
	public String getPk_ask_desc() {
		return pk_ask_desc;
	}
	public void setPk_ask_desc(String pk_ask_desc) {
		this.pk_ask_desc = pk_ask_desc;
	}
	
	//订单备注
	@Column
	private String order_memo;
	public String getOrder_memo() {
		return order_memo;
	}
	public void setOrder_memo(String order_memo) {
		this.order_memo = order_memo;
	}
}
